LibreOffice: TableBorder Struct Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
TableBorder Struct Referencepublished

contains the style settings of the border lines of all cells in a cell range. More...

## Public Attributes
com::sun::star::table::BorderLine | TopLine
| determines the line style at the top edge.
boolean | IsTopLineValid
| specifies whether the value of TableBorder::TopLine is used.
com::sun::star::table::BorderLine | BottomLine
| determines the line style at the bottom edge.
boolean | IsBottomLineValid
| specifies whether the value of TableBorder::BottomLine is used.
com::sun::star::table::BorderLine | LeftLine
| determines the line style at the left edge.
boolean | IsLeftLineValid
| specifies whether the value of TableBorder::LeftLine is used.
com::sun::star::table::BorderLine | RightLine
| determines the line style at the right edge.
boolean | IsRightLineValid
| specifies whether the value of TableBorder::RightLine is used.
com::sun::star::table::BorderLine | HorizontalLine
| determines the line style of horizontal lines for the inner part of a cell range.
boolean | IsHorizontalLineValid
| specifies whether the value of TableBorder::HorizontalLine is used.
com::sun::star::table::BorderLine | VerticalLine
| determines the line style of vertical lines for the inner part of a cell range.
boolean | IsVerticalLineValid
| specifies whether the value of TableBorder::VerticalLine is used.
short | Distance
| contains the distance between the lines and other contents.
boolean | IsDistanceValid
| specifies whether the value of TableBorder::Distance is used.

## Detailed Description

contains the style settings of the border lines of all cells in a cell range.

In a queried structure, the flags in TableBorder::Is...LineValid indicate that not all lines of the boxes have the same values.

In a structure which is used for setting, these flags determine if the corresponding line should be set or if the old value should be kept.

## Member Data Documentation

## ◆ BottomLine

com::sun::star::table::BorderLine BottomLine

determines the line style at the bottom edge.

## ◆ Distance

short Distance

contains the distance between the lines and other contents.

## ◆ HorizontalLine

com::sun::star::table::BorderLine HorizontalLine

determines the line style of horizontal lines for the inner part of a cell range.

## ◆ IsBottomLineValid

boolean IsBottomLineValid

specifies whether the value of TableBorder::BottomLine is used.

## ◆ IsDistanceValid

boolean IsDistanceValid

specifies whether the value of TableBorder::Distance is used.

## ◆ IsHorizontalLineValid

boolean IsHorizontalLineValid

specifies whether the value of TableBorder::HorizontalLine is used.

## ◆ IsLeftLineValid

boolean IsLeftLineValid

specifies whether the value of TableBorder::LeftLine is used.

## ◆ IsRightLineValid

boolean IsRightLineValid

specifies whether the value of TableBorder::RightLine is used.

## ◆ IsTopLineValid

boolean IsTopLineValid

specifies whether the value of TableBorder::TopLine is used.

## ◆ IsVerticalLineValid

boolean IsVerticalLineValid

specifies whether the value of TableBorder::VerticalLine is used.

## ◆ LeftLine

com::sun::star::table::BorderLine LeftLine

determines the line style at the left edge.

## ◆ RightLine

com::sun::star::table::BorderLine RightLine

determines the line style at the right edge.

## ◆ TopLine

com::sun::star::table::BorderLine TopLine

determines the line style at the top edge.

## ◆ VerticalLine

com::sun::star::table::BorderLine VerticalLine

determines the line style of vertical lines for the inner part of a cell range.

The documentation for this struct was generated from the following file:

- com/sun/star/table/TableBorder.idl